[arch-commits] Commit in libxfont/trunk (PKGBUILD)

Jan de Groot jgc at archlinux.org
Sun Jul 6 15:37:12 EDT 2008


    Date: Sunday, July 6, 2008 @ 15:37:12
  Author: jgc
Revision: 4371

upgpkg: libxfont 1.3.3-1

Modified:
  libxfont/trunk/PKGBUILD

----------+
 PKGBUILD |   12 ++++++------
 1 file changed, 6 insertions(+), 6 deletions(-)

Modified: PKGBUILD
===================================================================
--- PKGBUILD	2008-07-06 19:30:44 UTC (rev 4370)
+++ PKGBUILD	2008-07-06 19:37:12 UTC (rev 4371)
@@ -2,23 +2,23 @@
 # Maintainer: Alexander Baldeck <alexander at archlinux.org>
 # Contributor: Jan de Groot <jgc at archlinux.org>
 pkgname=libxfont
-pkgver=1.3.2
+pkgver=1.3.3
 pkgrel=1
 pkgdesc="X11 font rasterisation library"
 arch=(i686 x86_64)
 url="http://xorg.freedesktop.org/"
 license=('custom')
-depends=('libfontenc' 'freetype2>=2.3.5' 'fontsproto')
+depends=('libfontenc' 'freetype2>=2.3.7' 'fontsproto')
 makedepends=('pkgconfig' 'xtrans' 'fontcacheproto' 'xproto')
 options=('!libtool')
 source=(${url}/archive/individual/lib/libXfont-${pkgver}.tar.bz2)
-md5sums=('64f510ebf9679f3a97a3d633cbee4f50')
+md5sums=('4f174b9613f87cf00d731da428a1b194')
 
 build() {
   cd ${startdir}/src/libXfont-${pkgver}
-  ./configure --prefix=/usr --sysconfdir=/etc \
-              --build=${CHOST} --host=${CHOST}
+  ./configure --prefix=/usr --sysconfdir=/etc || return 1
   make || return 1
   make DESTDIR=${startdir}/pkg install || return 1
-  install -D -m644 COPYING ${startdir}/pkg/usr/share/licenses/${pkgname}/COPYING
+  install -m755 -d ${pkgdir}/usr/share/licenses/${pkgname}
+  install -m644 COPYING ${pkgdir}/usr/share/licenses/${pkgname}/ || return 1
 }





More information about the arch-commits mailing list